Doomsday Engine - Bug #2181

Savegames are not listed on the homescreen based on the "savegames" directory contents (needs
retesting)

2016-10-10 05:57 - Drako

Status: Closed Start date: 2016-10-10
Priority: Normal % Done: 0%
Assignee: Drako

Category: Defect

Target version:

Description
Build 2109 (and earlier).

| order to run the new build | had to get rid off the "runtime" directory which contains "savegames" directory. | backed up the
savegames before deletion of "runtime”. | run doomsday.exe, then | quit. New "runtime" directory has been created. | moved my
"savegames" there. | run doomsday again. The savegames are not listed on the home screen but they are seen from inside the
game - | can load them there.

Related issues:
Related to Bug #2360: [Ul] Savegames from Deathkings are not showing up in Home Closed 2019-12-03

History

#1 - 2017-04-03 14:19 - skyjake

- Subject changed from Savegames are not listed on the homescreen based on the "savegames" directory content. to Savegames are not listed on the
homescreen based on the "savegames" directory contents (needs retesting)

- Status changed from New to Feedback

- Assignee set to Drako

#2 - 2017-04-05 00:24 - Drako

After repeating steps described above | see only one savegame listed in the home screen in Ultimate Doomsday profile and no other savegames
even though savegames directory contains many saves for Ultimate Doom, Doom 2, Doom 2 Plutonia and Doom 2 TNT. All the savegames are
visible in-game. However, they are not loadable due to "Incompatible Addons" message.

#3 - 2017-04-05 00:25 - Drako
The above was about build #2283 (Apr 03)

#4 - 2017-04-05 08:56 - skyjake
- Status changed from Feedback to Closed

From your description, | think things are working as designed. The Home screen only shows savegames when it can reliably determine that they are
compatible with a game profile. In the case of old saves, or saves made before the various metadata fixes that occurred during the late 2.0 unstable
and RC builds, the compatibility check may prevent saves from showing up.

In any case, you can still load up a game via the in-game menu, and override the compatibility warning dialog by holding down the Alt key when the
dialog is open. In this case, you are responsible for making sure that the currently loaded add-ons and other packages are compatible with the ones
that were used in the save.

When a new save is written, its updated metadata should then allow it to show up in Home. If you are experiencing that a newly written save does not
appear in Home even though you have the same packages available, please submit a new bug report for that specific situation and attach the
savegame in question.

#5 - 2019-12-03 06:19 - thesourcehim
I'm currently using linux build 2.3.0_3257, even saves created with this build for Hexen: DeathKings are not shown. Hexen and Heretic: Shadow of

the Serpent Rider saves are listed properly.

#6 - 2019-12-03 07:54 - skyjake
- Related to Bug #2360: [Ul] Savegames from Deathkings are not showing up in Home added
